<?php

define('ROOT_DIR', __DIR__);

function escape($str)
{
    return htmlspecialchars($str, ENT_COMPAT, 'UTF-8', false);
}

if( !empty($_POST) ) {
    $error = array();
    if( !empty($_POST['sitename']) && !empty($_POST['siteurl']) && !empty($_POST['rssurl']) && !empty($_POST['number']) ) {
        $sitename = escape($_POST['sitename']);
        $siteurl = escape($_POST['siteurl']);
        $rssurl = escape($_POST['rssurl']);
        if( $_POST['number'] != '2' ) {
            $error[] = "Vous êtes un robot si vous ne savez pas taper '2'";
        } 
    }
    else {
        $error[] = "Assurez vous de bien remplir tous les champs.";
    }

    if( empty($error) ) {
        if( !preg_match('#\.\.|/#', $sitename) ) {
            if ( mkdir('./'. $sitename, 0755, false) ) {
                $fp = fopen('./'. $sitename .'/index.php', 'w+');
                if( !fwrite($fp, "<?php require_once dirname(__DIR__) . '/autoblog.php'; ?>") )
                    $error[] = "Impossible d'écrire le fichier index.php";
                fclose($fp);
                $fp = fopen('./'. $sitename .'/vvb.ini', 'w+');
                if( !fwrite($fp, '[VroumVroumBlogConfig]
SITE_TITLE="Autoblog de '. $sitename .'"
SITE_DESCRIPTION="Ce site n\'est pas le site officiel de '. $sitename .'<br>C\'est un blog automatis&eacute; qui r&eacute;plique les articles de <a href="'. $siteurl .'">'. $sitename .'</a>"
SITE_URL='. $siteurl .'
FEED_URL="'. $rssurl .'"
DOWNLOAD_MEDIA_FROM='. $siteurl) )
                    $error[] = "Impossible d'écrire le fichier vvb.ini";
                fclose($fp);
            }
            else 
                $error[] = "Impossible de créer le répertoire.";
        }
        else 
            $error[] = "Nom de site invalide.";
    }
}

echo '
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>Le projet autoblog</title>
	<link rel="stylesheet" type="text/css" href="style.css" media="all">
</head>
<body>

    <h1>Le projet autoblog<br></h1>
';

echo 
'
<div class="pbloc">
			<h2>Pourquoi</h2>
			Les gouvernements, organisations et entreprises mettent de plus en plus de pression légale, morale et financière 
			sur les citoyens, entravant leur liberté d\'expression.

			Des sites connus comme Wikileaks bénéficient facilement de l\'effet Streisand, mais c\'est rarement le cas des sites plus petits.
			Mais <a href="http://datalove.me/">l\'information doit circuler</a>.
			Le projet autoblog a pour but d\'aider à répliquer automatiquement les articles partout sur le web, bien sûr à une échelle plus modeste que ce qui a été fait pour Wikileaks.
			Voyez cela comme un <b>effet Streisand automatisé</b>.
		</div>
		<div class="pbloc">
			<h2>Comment</h2>

			VroumVroumBlog est un <i>autoblog</i>. C\'est un logiciel très <b>simple</b> capable de <b>répliquer</b> les articles d\'un autre blog.
			Si l\'article source est supprimé, et même si le site d\'origine disparaît, les articles restent lisibles sur l\'autoblog.
			L\'idée est de mettre en place le plus d\'autoblogs possible, afin que tout article publié soit automatiquement 
			répliqué partout, rendant sa censure bien plus difficile.<br>
			Vous pouvez aider les webmasters à contrer la censure. Même si vous avez un tout petit espace d\'hébergement de pages perso.<br>
			C\'est très simple: Pour répliquer un autre blog, il y a <b>2 fichiers</b> à copier sur votre site web. C\'est tout. Rien de compliqué.
			Suivez les <a href="http://sebsauvage.net/streisand.me/fr/instructions.html">instructions</a>.<br>
			<br>
			<center><b><i>Autoblogs, unissez-vous !</i></b></center>
		</div>
		<div class="pbloc">
			<h2>Liste</h2>
			Voici une liste d\'autoblogs hébergés sur mon serveur.<br>
			Si vous souhaitez être retiré(e) de cette page, envoyez-moi un email (cochise /at/ cochisette /dot/ com).<br>
			<br>
			Et souvenez-vous: <b><i>Contribuez en installant des autoblogs sur votre site !</i></b>
		</div>
		
 <div class="pbloc">
        <h2>Ajouter</h2>';
if( !empty( $error )) {
    echo '<p>Erreur(s) :</p><ul>';
    foreach ( $error AS $value ) {
        echo '<li>'. $value .'</li>';
    }
    echo '</ul>';
}
echo  '<div class="content">
        <p>Si vous souhaitez que <i>cochisette.com</i> héberge un autoblog de votre site, ajoutez le avec le formulaire suivant.</p>
        <form method="POST">
            <label for="sitename">Nom du site : </label><br /><input type="text" name="sitename" id="sitename" size="75" /><br />
            <label for="siteurl">URL du site : </label><br /><input type="text" name="siteurl" id="siteurl" size="75" /><br />
            <label for="rssurl">URL du flux RSS : </label><br /><input type="text" name="rssurl" id="rssurl" size="75" /><br />
            <label for="number">Ecrivez deux </strong>en chiffre</strong> : </label><br /><input type="text" name="number" id="number" size="75" /><br />
            <input type="submit" value="Créer" />
        </form>
    </div>
</div>'; 

echo '<div class="blog">';

$dir = dir(ROOT_DIR);

while ($file = $dir->read())
{
    if ($file[0] == '.')
        continue;

    if (is_dir(ROOT_DIR . '/' . $file)
        && file_exists(ROOT_DIR . '/' . $file . '/vvb.ini'))
    {
        $ini = parse_ini_file(ROOT_DIR . '/' . $file . '/vvb.ini');
        $config = new stdClass;

        foreach ($ini as $key=>$value)
        {
            $key = strtolower($key);
            $config->$key = $value;
        }

        unset($ini);

       
        echo '
			<div class="article vignette">
				<div class="title">
					<h2><a href="'.escape($file).'/">'.escape($file).'</a></h2>
					<h4>Source <a href="'.escape($config->site_url).'">'.escape($config->site_url).'</a></h4>
				</div>
				<!--<div class="content">
					<ul>
						<li><a href="'.escape($file).'/">Auto-blog</a></li>
						<li><a href="'.escape($file).'/vvb.ini">Configuration</a></li>
					</ul>
				</div>-->
			</div>';
    }
}
echo '</div>';
$dir->close();

echo '
<div class="footer">
	Autoblogs propulsés par <a href="http://autoblog.kd2.org/source.txt">VroumVroumBlog 0.2.10</a> [SQLite] (Domaine Public)<br />
	Index inspiré de <a href="http://wiki.hoa.ro/doku.php?id=web%3Aferme-autoblog">Ferme d\'Autoblog</a> (Arthur Hoaro, Creative Commons by 3.0) <br />
    Version de <a href="http://bohwaz.net/p/Auto-blog-VroumVroumBlog-et-effet-Streisand">Bohwaz</a><br />
	D\'après une idée de <a href="http://sebsauvage.net/streisand.me/fr/">SebSauvage.</a>
</div>
</body>
</html>';

?>
